Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514220 - [abrt] gnome-shell: raise(): gnome-shell killed by SIGTRAP ("invalid global wl_output")
Summary: [abrt] gnome-shell: raise(): gnome-shell killed by SIGTRAP ("invalid global w...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 26
Hardware: x86_64
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1517009 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 20:47 UTC by Stewart Smith
Modified: 2018-04-19 00:17 UTC (History)
43 users (show)

Fixed In Version: mutter-3.26.2-2.fc27 mutter-3.24.4-3.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-09 16:47:39 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-16 20:47 UTC, Stewart Smith
no flags Details
File: core_backtrace (deleted)
2017-11-16 20:47 UTC, Stewart Smith
no flags Details
File: var_log_messages (deleted)
2017-11-16 20:47 UTC, Stewart Smith
no flags Details
Two Dell monitors appearing as three (deleted)
2017-12-15 04:19 UTC, Stewart Smith
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 103474 None None None 2017-12-15 01:03:17 UTC
Launchpad 1728588 None None None 2017-12-15 01:01:58 UTC

Description Stewart Smith 2017-11-16 20:47:13 UTC
Description of problem:
plugging machine into dock

Version-Release number of selected component:
gnome-shell-3.26.2-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=2305e4b919924d61af0db7d841edf2ee;i=589e2a;b=fc8ac124c7e54ca7900dd837c74ec0e7;m=5f70678;t=55e1f9d716eac;x=e0fde8676698abbf
kernel:         4.13.12-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 raise at ../sysdeps/unix/sysv/linux/raise.c:51
 #1 dump_gjs_stack_on_signal_handler at ../src/main.c:372
 #3 _g_log_abort at gmessages.c:554
 #4 g_log_default_handler at gmessages.c:3051
 #5 default_log_handler at ../src/main.c:315
 #8 x_io_error at wayland/meta-xwayland.c:418
 #11 XPending at Pending.c:55
 #12 gdk_check_xpending at gdkeventsource.c:269
 #13 gdk_event_source_prepare at gdkeventsource.c:287
 #14 g_main_context_prepare at gmain.c:3450

This is a private, duplicate bug report of bug 1510059. The report has been created because Bugzilla cannot grant access to a comment for a specific group.

Comment 1 Stewart Smith 2017-11-16 20:47:19 UTC
Created attachment 1353731 [details]
File: backtrace

Comment 2 Stewart Smith 2017-11-16 20:47:20 UTC
Created attachment 1353732 [details]
File: cgroup

Comment 3 Stewart Smith 2017-11-16 20:47:22 UTC
Created attachment 1353733 [details]
File: core_backtrace

Comment 4 Stewart Smith 2017-11-16 20:47:24 UTC
Created attachment 1353734 [details]
File: cpuinfo

Comment 5 Stewart Smith 2017-11-16 20:47:26 UTC
Created attachment 1353735 [details]
File: dso_list

Comment 6 Stewart Smith 2017-11-16 20:47:28 UTC
Created attachment 1353736 [details]
File: environ

Comment 7 Stewart Smith 2017-11-16 20:47:29 UTC
Created attachment 1353737 [details]
File: limits

Comment 8 Stewart Smith 2017-11-16 20:47:32 UTC
Created attachment 1353738 [details]
File: maps

Comment 9 Stewart Smith 2017-11-16 20:47:34 UTC
Created attachment 1353739 [details]
File: mountinfo

Comment 10 Stewart Smith 2017-11-16 20:47:37 UTC
Created attachment 1353740 [details]
File: open_fds

Comment 11 Stewart Smith 2017-11-16 20:47:39 UTC
Created attachment 1353741 [details]
File: proc_pid_status

Comment 12 Stewart Smith 2017-11-16 20:47:41 UTC
Created attachment 1353742 [details]
File: var_log_messages

Comment 13 Stewart Smith 2017-11-16 20:47:43 UTC

*** This bug has been marked as a duplicate of bug 1510059 ***

Comment 14 Adam Williamson 2017-12-14 23:15:48 UTC
This is clearly not a duplicate of 1510059, it was just reported as one due to #1509086. This appears to be the fatal error in this case, in the var_log_messages log:

Nov 17 07:39:20 birb org.gnome.Shell.desktop[2365]: (EE) wl_registry@2: error 0: invalid global wl_output (20)

Stewart, have you seen this crash again since? Is it reliably reproducible in any way? Do you have multiple displays, and if so, can you provide some details on the graphics hardware and the connected displays?

Thanks!

Comment 15 Adam Williamson 2017-12-15 00:22:07 UTC
*** Bug 1516217 has been marked as a duplicate of this bug. ***

Comment 16 Adam Williamson 2017-12-15 00:56:43 UTC
So I found a similar-looking Launchpad report:

https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1728588

Which links to a freedesktop.org issue:

https://phabricator.freedesktop.org/T7722

suggesting there's a kinda general race issue with creation / destruction of Wayland registry global objects (AIUI). So I'm gonna reassign this to wayland. I also found a bugs.freedesktop.org report which has the same crash, though that one also references some other problems apparently caused by the graphics driver bug that triggers the crash(?):

https://bugs.freedesktop.org/show_bug.cgi?id=103474

Comment 17 Adam Williamson 2017-12-15 02:16:58 UTC
*** Bug 1524761 has been marked as a duplicate of this bug. ***

Comment 18 Adam Williamson 2017-12-15 02:31:00 UTC
*** Bug 1519221 has been marked as a duplicate of this bug. ***

Comment 19 Adam Williamson 2017-12-15 02:36:54 UTC
*** Bug 1519557 has been marked as a duplicate of this bug. ***

Comment 20 Adam Williamson 2017-12-15 02:48:37 UTC
*** Bug 1520113 has been marked as a duplicate of this bug. ***

Comment 21 Adam Williamson 2017-12-15 02:50:06 UTC
I've found enough dupes of this that it seems worth high priority/severity.

Comment 22 Adam Williamson 2017-12-15 02:55:01 UTC
*** Bug 1522995 has been marked as a duplicate of this bug. ***

Comment 23 Adam Williamson 2017-12-15 03:08:07 UTC
*** Bug 1525447 has been marked as a duplicate of this bug. ***

Comment 24 Stewart Smith 2017-12-15 04:19:50 UTC
Created attachment 1368269 [details]
Two Dell monitors appearing as three

Comment 25 Stewart Smith 2017-12-15 04:24:40 UTC
I was just thinking "I haven't seen this for a while" and then I realized I haven't unplugged the laptop from the dock in a while either!

So, I have two docks, and IIRC I've seen this on both (home and office), although I don't want to say it doesn't occur any more (we're just going through an office move, so I'll do more dock/undocking next week)

The common hardware involved is:
- Lenovo X1 Carbon Gen 4
- ThinkPad OneLink+ Dock

The home setup is:
- Two DisplayPort connections out of the Dock, each to a Dell UltraSharp U2515H display at 2560x1440@60hz
- when these monitors are connected, the internal panel is off (i.e. dual monitor setup)
- Weirdly, in the Displays control panel, this shows up as *three* Dell monitors (screenshot attached), but I'm not sure if this is connected in any way... although if the "wrong" monitor is enabled, you don't get any output on one of the screens.

The office setup is:
- Packed in a box being transferred between buildings, so going from memory :)
- Same dock, two DisplayPort to DVI converters each going to a older Lenovo panel.. lower resolution than the home ones, maybe 1280xsomething ?
- when these monitors are connected, the internal panel is on (3 monitors)
- Weirdly, I currently seem to have to unplug and plug back in one of the DisplayPort to DVI adapters for the screens to be detected and enabled when I plug the laptop into the dock.

All of these docking/undocking operations are done while the machine is running (i.e. not suspended or anything).

Let me know if there's more information I can pull or test out.

Comment 26 Adam Williamson 2017-12-15 04:45:39 UTC
Stewart: It'd mainly be good to confirm it's associated with unplug/replug of the monitors, I guess. It seems very likely that it is, but it's always useful to confirm.

Essentially it seems like the problem is that GNOME tries to create/destroy one of these problematic global objects when displays are plugged/unplugged (presumably it creates one on plug and destroys it on unplug, but that's just an obvious guess, I didn't actually look it up), and because there's apparently an inherent race issue with doing that in Wayland, it can cause GNOME to crash. I'd hazard a guess that maybe it's most easily triggered by unplugging and replugging a display quite quickly, but again, that's just me guessing.

Comment 27 Fedora Update System 2017-12-15 15:17:45 UTC
mutter-3.26.2-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-39b370bebf

Comment 28 Rui Matos 2017-12-15 15:33:42 UTC
(In reply to Fedora Update System from comment #27)
> mutter-3.26.2-2.fc27 has been submitted as an update to Fedora 27.
> https://bodhi.fedoraproject.org/updates/FEDORA-2017-39b370bebf

Please let me know if this update doesn't fix it.

Comment 29 Adam Williamson 2017-12-15 22:59:24 UTC
*** Bug 1431214 has been marked as a duplicate of this bug. ***

Comment 30 Adam Williamson 2017-12-15 23:00:31 UTC
*** Bug 1431601 has been marked as a duplicate of this bug. ***

Comment 31 Adam Williamson 2017-12-16 00:04:29 UTC
Note: per these new dupes I'm adding (from an F26 '_g_log_abort' bug), this also affects F26. Can we have an update for F26 too?

Comment 32 Adam Williamson 2017-12-16 00:04:42 UTC
*** Bug 1469727 has been marked as a duplicate of this bug. ***

Comment 33 Adam Williamson 2017-12-16 00:20:29 UTC
*** Bug 1470739 has been marked as a duplicate of this bug. ***

Comment 34 Adam Williamson 2017-12-16 00:40:51 UTC
*** Bug 1477884 has been marked as a duplicate of this bug. ***

Comment 35 Adam Williamson 2017-12-16 00:48:25 UTC
*** Bug 1506039 has been marked as a duplicate of this bug. ***

Comment 36 Adam Williamson 2017-12-16 01:04:48 UTC
*** Bug 1484162 has been marked as a duplicate of this bug. ***

Comment 37 Adam Williamson 2017-12-16 01:19:09 UTC
*** Bug 1487965 has been marked as a duplicate of this bug. ***

Comment 38 Adam Williamson 2017-12-16 01:33:51 UTC
*** Bug 1493209 has been marked as a duplicate of this bug. ***

Comment 39 Adam Williamson 2017-12-16 01:59:56 UTC
*** Bug 1498672 has been marked as a duplicate of this bug. ***

Comment 40 Adam Williamson 2017-12-16 02:06:09 UTC
*** Bug 1498982 has been marked as a duplicate of this bug. ***

Comment 41 Adam Williamson 2017-12-16 02:06:48 UTC
*** Bug 1499300 has been marked as a duplicate of this bug. ***

Comment 42 Adam Williamson 2017-12-16 02:29:34 UTC
*** Bug 1501488 has been marked as a duplicate of this bug. ***

Comment 43 Adam Williamson 2017-12-16 02:47:29 UTC
*** Bug 1508664 has been marked as a duplicate of this bug. ***

Comment 44 Adam Williamson 2017-12-16 02:48:06 UTC
*** Bug 1509485 has been marked as a duplicate of this bug. ***

Comment 45 Fedora Update System 2017-12-16 14:38:24 UTC
mutter-3.26.2-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-39b370bebf

Comment 46 Fedora Update System 2017-12-18 14:08:03 UTC
mutter-3.24.4-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8375547241

Comment 47 Fedora Update System 2017-12-18 22:40:41 UTC
mutter-3.24.4-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8375547241

Comment 48 Fedora Update System 2017-12-19 19:50:52 UTC
mutter-3.26.2-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 49 Adam Williamson 2017-12-21 02:00:07 UTC
I checked through the important attachments and I'm pretty sure there's no private data in them, so I'm marking this bug as public but setting the other attachments as private just in case.

For the record, abrt defaults to making reports private whenever it thinks there may be sensitive information in any of the attachments, and its heuristics for this are *very* sensitive and extremely prone to false positives. So many reports wind up being private for no good reason at all. There's an option to check through all the bits that abrt thought might be sensitive and uncheck a box to make the report public if you find that none of them actually are, but many people don't see this or don't want to bother with it, and wind up submitting a private report.

Changing version to 26 and setting back to ON_QA as the 26 update is still in testing.

Comment 50 Adam Williamson 2017-12-21 02:02:12 UTC
*** Bug 1517009 has been marked as a duplicate of this bug. ***

Comment 51 Fedora Update System 2018-01-09 16:47:39 UTC
mutter-3.24.4-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 52 Evan Nemerson 2018-01-17 04:59:10 UTC
Similar problem has been detected:

Happens sometimes when I try to unlock the screen. Enter password, pressed enter, crash.

IIRC my desktop was visible for a moment, but I'm not certain. I'll try to remember next time it happens.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=a58eb7f31acd4ccba856c072c3e563da;i=95ea5;b=6cfb11096a0b4ca7aa30d09b8e953dc1;m=303d6fb880;t=562f0d888a223;x=144caab3869f1178
kernel:         4.14.13-300.fc27.x86_64
package:        gnome-shell-3.26.2-3.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 53 Vedran Miletić 2018-01-17 13:03:17 UTC
Similar problem has been detected:

Let the screen lock itself and displays go to sleep, and then came back and moved the mouse

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=7f535f33e10140ed84828a6ffa72f349;i=1032d1;b=0826031776e34e0aad3ef3026db73c2f;m=10b29b240f;t=562f85ae03568;x=496c3e0732a86463
kernel:         4.15.0-0.rc7.git4.1.fc28.x86_64
package:        gnome-shell-3.26.2-3.fc27
reason:         gnome-shell killed by SIGFPE
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            7073

Comment 54 Christian Stadelmann 2018-01-25 07:26:24 UTC
According to https://bugzilla.redhat.com/show_bug.cgi?id=1517009#c28, bug #1517009 is a duplicate of this one and should have been fixed by updating to mutter-3.26.2-2.fc27.x86_64.
I did install that update a few weeks ago, but the crasher is still present.

The related gnome-shell crash is bug #1530806.

Please reopen this bug report or bug #1517009.

Comment 55 Adam Williamson 2018-01-25 08:30:22 UTC
Christian: the *initial reporter's* bug in 1517009 definitely *is* a duplicate of this one. But the big story in all this mess of bugs is that abrt's duplicate detection was fooled by a specific code path in GNOME, so all sorts of unrelated issues got incorrectly considered as duplicates of each other. It's a mess :/

Anyway, I think the unspoken part of the logic in your comment is "abrt said my bug was a duplicate of 1517009, therefore my bug must be the same as this one". That's the part that's faulty: abrt was very likely wrong in telling you that your bug was a dupe of 1517009, you likely have a completely different issue to what the original reporter of 1517009 had.

The issue in this bug is identifiable by the error message "invalid global wl_output" in the journal around the time of the crash. Both the original reporter here and the original reporter in 1517009 had this message in their logs (as did many other reports; it seems to have been a fairly commonly encountered bug). If you don't have that message in your logs, you don't have the same issue as *either* the OP here *or* the OP in 1517009, so everything is in order: those bugs are *correctly* marked as dupes of each other, but your bug is a *different* one and it's correct that it's filed separately and still open.

Hope that explains things, let me know if not! Sorry for any confusion.

Comment 56 Christian Stadelmann 2018-01-25 22:19:23 UTC
Oh, thanks for clarification. I'll install that satyr update fixing bug #1509086 and all the confusion will hopefully go away.

Comment 57 Kevin Suo 2018-01-29 00:23:18 UTC
Similar problem has been detected:

1. Enable gnome shell extension "places indicator"
2. Plugin your USB device, or umount the USB device. (I used a Samsumg SSD drive)

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=67dd6ff3668d49218d35461d67391ef7;i=a8e7d;b=d53684102d084c3285f8c1d1fa554513;m=169dcb6aee;t=563def9ff605e;x=d87fadb9e06fced2
kernel:         4.14.14-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 58 Adam Williamson 2018-01-29 06:35:44 UTC
Kevin: as discussed above, unfortunately you've run into an issue in the automated reporting tools; your bug is very likely not actually the same as this one. Can you either report a new bug manually against the package gnome-shell-extension-places-menu, or install the satyr update - https://bodhi.fedoraproject.org/updates/FEDORA-2018-580c89505f - and try reporting automatically again? Thanks!

If reporting manually, please include the backtrace that the bug reporting tool generated, if you can. If you right click on the entry for the crash in the tool it should let you go to the directory where all the data is, you can find the file there, called 'backtrace'. Please also include system logs from around the time of the crash. Thanks again!

Comment 59 mgbugzillarh 2018-02-09 20:39:09 UTC
Similar problem has been detected:

just after initial login, i got thunderbird and firefox on autostart and 3 monitor setup

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=7a6b5a31ab5f4f91afa273210bc88789;i=1a58cc6;b=36e62d5f20c54e6eb6492446ee67d57b;m=1def6cc88f;t=564ccce3e1e7e;x=c15dc77bad252c6c
kernel:         4.14.16-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1003

Comment 60 Sander Alberink 2018-02-19 12:16:28 UTC
Similar problem has been detected:

Moved a window between 2 screens, mid screen it crashed

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=46e215123d0e46fa9c312d043a033ff6;i=7801e;b=a9fbadbd57e24614950736bc018037b5;m=398fb065e;t=5658f8524c5a1;x=8b0b6d470a00585f
kernel:         4.14.18-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 61 Douglas Kaip 2018-02-19 22:27:12 UTC
Similar problem has been detected:

I was using eclipse

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=a534b41e1395420f8acae82bde0c8e25;i=21146;b=a34c30f79c55446582317a49b21c3584;m=28475f554;t=56586668aa3e7;x=80b1e29be5cc93c3
kernel:         4.15.3-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 62 Robert Keersse 2018-02-20 11:43:46 UTC
Similar problem has been detected:

sometimes shell quit unexpectedly, after reboot, sometimes same problem 

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=9b03411510d2412a9955e45b56c883ab;i=4993;b=5d9ff29394d842509f0daacb34d08d41;m=2a8263bc;t=565a30810d7d0;x=fab1721a1aeee9fa
kernel:         4.15.3-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGABRT
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 63 Giovanni Campagna 2018-03-02 17:01:24 UTC
Similar problem has been detected:

Happened after resume from suspend, after unlocking.
The mouse froze for a few seconds and then the shell crashed.
Various windows where visible. Also, I resumed in a different monitor configuration than the one I suspended in (ie, I attached two monitors while the laptop was still suspended)

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=2383d977abf74a4aab8a65ef37aeab3c;i=c0e59;b=ac1237ba9db449db8c9a3e55ccf98528;m=35f301c6fd;t=566708b335a9d;x=52505dddb8cb16d2
kernel:         4.15.3-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 64 Giovanni Campagna 2018-03-02 17:04:56 UTC
Ugh, as Adam said, abrt messed up and my report got duped into this one incorrectly.
The last comment refers to an integer overflow bug in the pixel blurring code in gnome-shell (which causes an allocation of negative / overly large size and dies in g_malloc), and is most likely unrelated to mutter's bug in handling wl_outputs.
(Even though, surprisingly, both occur around plugging and unplugging monitors)

Comment 65 Adam Williamson 2018-03-02 17:50:37 UTC
Giovalli: that's https://bugzilla.redhat.com/show_bug.cgi?id=1526164 .

Comment 66 aldrianobaja.m 2018-04-02 21:37:42 UTC
Similar problem has been detected:

Well-known problem that the gnome often crash when suspending the laptop by closing the lid.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=fa54b548d9a84a06b522a95d9444efdc;i=ca78e;b=11a5e747bca940789a1eba63a8750ad9;m=26a201956f;t=568e43029d75e;x=a9a4e635814576ae
kernel:         4.15.10-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGTRAP
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 67 lennart_reuther 2018-04-03 19:58:57 UTC
I get this error reproducable under Fedora 28, when starting gnome while having the gnome-shell extension "netspeed@hedayady.gmail.com" installed, that show the current up/down link from all network devices. It prevents successfully starting gnome and I end up back at the login-screen. Independent of XOrg, Wayland, Gnome Classic used.

Comment 68 Adam Williamson 2018-04-13 17:20:58 UTC
Lennart: please file a bug against that extension, then.

I'm going to drop the abrt metadata from this report as getting more dupes of it isn't helping us at all.

Comment 69 Amir Hedayaty 2018-04-14 01:20:50 UTC
Similar problem has been detected:

Go to Preferences, Devices, Displays.
Click 200% to Change Scale, gnome crashes.
I have two monitors and use them in Join mode.

reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: raise
executable:     /usr/bin/gnome-shell
journald_cursor: s=10fdfa329e8e4bedbddc6b67d8f66eca;i=6e474;b=0ac64870453e4f39a9b149d1ee6b2c71;m=16e09e7c0da;t=569c236bb92a0;x=a7765761226b63f3
kernel:         4.15.6-300.fc27.x86_64
package:        gnome-shell-3.26.2-4.fc27
reason:         gnome-shell killed by SIGFPE
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 70 Daniel Playfair Cal 2018-04-18 23:32:32 UTC
In case its useful, I just experienced a system crash as per https://bugs.freedesktop.org/show_bug.cgi?id=103474

There is no "invalid global wl_output" in the logs, but the stacktrace is similar.

It happenned while I was debugging this issue: https://gitlab.gnome.org/GNOME/mutter/issues/122#

System log with drm.debug=0xff: https://www.dropbox.com/s/82gkxjctnt86t4v/log_mutter_flash.txt?dl=0

gnome-shell stacktrace:

#0  0x00007fb768545c70 in raise () at /usr/lib/libpthread.so.0
#1  0x00005640631e0542 in  ()
#2  0x00007fb768545dd0 in <signal handler called> () at /usr/lib/libpthread.so.0
#3  0x00007fb76747ded2 in  () at /usr/lib/libglib-2.0.so.0
#4  0x00007fb76747ef7d in g_log_default_handler () at /usr/lib/libglib-2.0.so.0
#5  0x00005640631e0428 in  ()
#6  0x00007fb76747f21f in g_logv () at /usr/lib/libglib-2.0.so.0
#7  0x00007fb76747f3a0 in g_log () at /usr/lib/libglib-2.0.so.0
#8  0x00007fb7659a342d in x_io_error (display=<optimized out>) at wayland/meta-xwayland.c:419
#9  0x00007fb76468539e in _XIOError (dpy=dpy@entry=0x564065651000) at XlibInt.c:1469
#10 0x00007fb764683481 in _XReply (dpy=dpy@entry=0x564065651000, rep=rep@entry=0x7ffce5d8c9a0, extra=extra@entry=0, discard=discard@entry=0) at xcb_io.c:704
        error = 0x0
        c = <optimized out>
        reply = 0x0
        current = 0x56406ebff1d0
        dpy_request = <optimized out>
        __PRETTY_FUNCTION__ = "_XReply"
#11 0x00007fb764668e85 in XGetWindowProperty (dpy=0x564065651000, w=10485762, property=426, offset=0, length=9223372036854775807, delete=0, req_type=426, actual_type=0x7ffce5d8caa0, actual_format=0x7ffce5d8ca94, nitems=0x7ffce5d8caa8, bytesafter=0x7ffce5d8cab0, prop=0x7ffce5d8cab8) at GetProp.c:69
        reply = {type = 32 ' ', format = 28 '\034', sequenceNumber = 26054, length = 32695, propertyType = 0, bytesAfter = 0, nItems = 1857746176, pad1 = 22080, pad2 = 1732861262, pad3 = 32695}
        req = <optimized out>
        error = {type = 0 '\000', errorCode = 0 '\000', sequenceNumber = 1667, resourceID = 0, minorCode = 0, majorCode = 0 '\000', pad1 = 0 '\000', pad3 = 0, pad4 = 0, pad5 = 0, pad6 = 0, pad7 = 0}
#12 0x00007fb7651f0499 in  () at /usr/lib/libgdk-3.so.0
#13 0x00007fb7651f11c5 in  () at /usr/lib/libgdk-3.so.0
#14 0x00007fb7651d9d9f in  () at /usr/lib/libgdk-3.so.0
#15 0x00007fb7651da0d0 in  () at /usr/lib/libgdk-3.so.0
#16 0x00007fb7651a38e2 in gdk_display_get_event () at /usr/lib/libgdk-3.so.0
#17 0x00007fb7651d9e34 in  () at /usr/lib/libgdk-3.so.0
#18 0x00007fb767478368 in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
#19 0x00007fb7674785b1 in  () at /usr/lib/libglib-2.0.so.0
#20 0x00007fb7674788e2 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#21 0x00007fb76596cf92 in meta_run () at core/main.c:664
#22 0x00005640631dfff1 in  ()
#23 0x00007fb76819df4a in __libc_start_main () at /usr/lib/libc.so.6
#24 0x00005640631e014a in  ()

XWayland stacktrace:

#0  0x00007fa18dc14860 in raise () from /usr/lib/libc.so.6
No symbol table info available.
#1  0x00007fa18dc15ec9 in abort () from /usr/lib/libc.so.6
No symbol table info available.
#2  0x00005568fb9f3cda in OsAbort ()
No symbol table info available.
#3  0x00005568fb9f97f3 in ?? ()
No symbol table info available.
#4  0x00005568fb9fa615 in FatalError ()
No symbol table info available.
#5  0x00005568fb88560c in ?? ()
No symbol table info available.
#6  0x00007fa18fc1381c in wl_log (fmt=<optimized out>) at src/wayland-util.c:406
        argp = {{gp_offset = 40, fp_offset = 48, overflow_arg_area = 0x7ffcd8e13950, reg_save_area = 0x7ffcd8e13890}}
#7  0x00007fa18fc0fb1a in display_handle_error (data=<optimized out>, display=0x5568fd193ad0, object=0x5568fd197fa0, code=0, message=<optimized out>) at src/wayland-client.c:810
        proxy = 0x5568fd197fa0
        object_id = <optimized out>
        interface = <optimized out>
#8  0x00007fa18d38017e in ffi_call_unix64 () at ../src/x86/unix64.S:76
No locals.
#9  0x00007fa18d37faef in ffi_call (cif=cif@entry=0x7ffcd8e13a80, fn=<optimized out>, rvalue=<optimized out>, rvalue@entry=0x0, avalue=avalue@entry=0x7ffcd8e13b50) at ../src/x86/ffi64.c:525
        classes = {X86_64_INTEGER_CLASS, X86_64_NO_CLASS, X86_64_SSE_CLASS, X86_64_NO_CLASS}
        stack = <optimized out>
        argp = <optimized out>
        arg_types = <optimized out>
        gprcount = 5
        ssecount = <optimized out>
        ngpr = 1
        nsse = 0
        i = <optimized out>
        avn = <optimized out>
        ret_in_memory = <optimized out>
        reg_args = <optimized out>
#10 0x00007fa18fc12399 in wl_closure_invoke (closure=0x5568fde2f810, flags=1, target=<optimized out>, opcode=0, data=<optimized out>) at src/connection.c:935
        count = <optimized out>
        cif = {abi = FFI_UNIX64, nargs = 5, arg_types = 0x7ffcd8e13aa0, rtype = 0x7fa18d380570 <ffi_type_void>, bytes = 0, flags = 0}
        ffi_types = {0x7fa18d380450 <ffi_type_pointer>, 0x7fa18d380450 <ffi_type_pointer>, 0x7fa18d380450 <ffi_type_pointer>, 0x7fa18d3804d0 <ffi_type_uint32>, 0x7fa18d380450 <ffi_type_pointer>, 
          0x7fa18d3804b0 <ffi_type_sint32>, 0x7fa18d3804b0 <ffi_type_sint32>, 0x7fa18d380450 <ffi_type_pointer>, 0x7fa18d380450 <ffi_type_pointer>, 0x7fa18d3804b0 <ffi_type_sint32>, 0x0, 0x0, 0x50000, 
          0xffffffffffffffff, 0x0, 0x7fa18dfa8a68 <recvmsg+104>, 0x34, 0x3, 0x34, 0x5568fd193c40, 0x34, 0x7fa18fc111ac <wl_buffer_copy+112>}
        ffi_args = {0x7ffcd8e13a70, 0x7ffcd8e13a78, 0x5568fde2f828, 0x5568fde2f830, 0x5568fde2f838, 0x7fa18fc114eb <wl_connection_copy+9>, 0x34, 0x7fa18fc13013 <wl_connection_demarshal+1205>, 0x7ffcd8e13bd0, 
          0x5568fde2f914, 0x5568fd193c40, 0x25b, 0x7fa18fe17d20 <wl_display_events>, 0x5568fd193b48, 0x34, 0x7fa18fc121e0 <wl_closure_lookup_objects+160>, 0x5568fd193b48, 0x7fa18fe17d20 <wl_display_events>, 
          0x4b673, 0x7fa18fc0f6aa <increase_closure_args_refcount+74>, 0xfdf2d273, 0xfefc75eb563b5d00}
        implementation = <optimized out>
#11 0x00007fa18fc0ff7a in dispatch_event (display=display@entry=0x5568fd193ad0, queue=queue@entry=0x5568fd193b80) at src/wayland-client.c:1310
        closure = 0x5568fde2f810
        proxy = 0x5568fd193ad0
        opcode = 0
        proxy_destroyed = <optimized out>
#12 0x00007fa18fc0ffbe in dispatch_queue (display=display@entry=0x5568fd193ad0, queue=queue@entry=0x5568fd193b98) at src/wayland-client.c:1449
        count = 0
#13 0x00007fa18fc10c52 in wl_display_dispatch_queue_pending (display=0x5568fd193ad0, queue=0x5568fd193b98) at src/wayland-client.c:1698
        ret = <optimized out>
#14 0x00007fa18fc10c73 in wl_display_dispatch_pending (display=<optimized out>) at src/wayland-client.c:1761
No locals.
#15 0x00005568fb885bbb in ?? ()
No symbol table info available.
#16 0x00005568fb9f1851 in ?? ()
No symbol table info available.
#17 0x00005568fb9ea6fb in WaitForSomething ()
No symbol table info available.
#18 0x00005568fb9b6503 in ?? ()
No symbol table info available.
#19 0x00005568fb9ba7a0 in ?? ()
No symbol table info available.
#20 0x00007fa18dc00f4a in __libc_start_main () from /usr/lib/libc.so.6
No symbol table info available.
#21 0x00005568fb88523a in _start ()
No symbol table info available.

Comment 71 Adam Williamson 2018-04-18 23:43:48 UTC
Daniel: all the gnome-shell traceback actually tells us there is it crashed because XWayland did. The traceback looks similar because *anything* which uses this same logging path to log an error and then exit will have a similar traceback. All that's really happening in the gnome-shell traceback is that GNOME realizes XWayland went away, and basically intentionally crashes with the message "Connection to xwayland lost".

Comment 72 Adam Williamson 2018-04-18 23:45:05 UTC
So, that is, you should file a separate bug on the XWayland crash, including as much detail on that as you can. Thanks!

Comment 73 Daniel Playfair Cal 2018-04-19 00:17:16 UTC
OK, will do.

The symptoms for me are similar to https://bugs.freedesktop.org/show_bug.cgi?id=103474 which I reported a while ago, i.e. the main problem is not that gnome-shell crashes, but that the entire system hangs and the goes into a very strange state where the power light is off, caps locks light is flashing, and then the POST screen appears for a few seconds (still with the power light off).


Note You need to log in before you can comment on or make changes to this bug.